Bug 1145693 - xmlgraphics-fop does not find hyphenation pattern
xmlgraphics-fop does not find hyphenation pattern
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Java
Current
64bit All
: P5 - None : Minor (vote)
: ---
Assigned To: Thomas Schraitle
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-15 00:11 UTC by Frank H. Ellenberger
Modified: 2022-08-16 08:29 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Small test FO file with hyphenation enabled (1.86 KB, text/x-xslfo)
2020-04-06 10:27 UTC, Thomas Schraitle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank H. Ellenberger 2019-08-15 00:11:43 UTC
I see several occurences of

> <timestamp> org.apache.fop.hyphenation.Hyphenator
> getHyphenationTree
> SCHWERWIEGEND: Couldn't find hyphenation pattern for lang="de".

although there is /usr/share/xmlgraphics-fop/hyph with all language files.

The language does not matter, I run through serveral.

It seems, there is a link wrong or missing.
Comment 1 Thomas Schraitle 2020-04-06 10:27:44 UTC
Created attachment 834945 [details]
Small test FO file with hyphenation enabled

@frank Thanks for the report and sorry for the delay.

I've uploaded an example file which works fro me with xmlgraphics-fop-2.1-lp151.5.1.noarch on openSUSE 15.1.
Comment 2 Frank H. Ellenberger 2020-04-16 22:27:11 UTC
The console output:
frank@toba:~/test/data/fop> fop test.fo -pdf test.pdf
Apr. 16, 2020 10:14:22 PM org.apache.fop.apps.FopConfParser configure
INFORMATION: Default page-height set to: 297mm
Apr. 16, 2020 10:14:22 PM org.apache.fop.apps.FopConfParser configure
INFORMATION: Default page-width set to: 210mm
Apr. 16, 2020 10:14:25 PM org.apache.fop.hyphenation.Hyphenator getHyphenationTree
SCHWERWIEGEND: Couldn't find hyphenation pattern for lang="de".
Apr. 16, 2020 10:14:25 PM org.apache.fop.apps.FOUserAgent processEvent
INFORMATION: Rendered page #1.
Apr. 16, 2020 10:14:25 PM org.apache.fop.apps.FOUserAgent processEvent
INFORMATION: Rendered page #2.
frank@toba:~/test/data/fop> fop -version
FOP Version 2.1
exactly 2.1-16.1 from tumbleweed

My current suspicion:
/etc/fop.xconf says:
Relative config url's will be resolved relative to
the location of this file.

but the rest is in /usr/share/xmlgraphics-fop/
Comment 3 Thomas Schraitle 2020-05-18 09:38:02 UTC
I can confirm, I get the same warning from Tumbleweed 20200516.

I've checked the sources in OBS[1]. To make hyphenation work, you need the OFFO hyphenation patterns as described in [2]. It's there, so theoretically it should work.

@Fridrich, do you have an idea why hyphenation does not work in Tumbleweed?


[1] https://build.opensuse.org/package/show/Java:packages/xmlgraphics-fop
[2] https://xmlgraphics.apache.org/fop/1.0/hyphenation.html
Comment 4 Fridrich Strba 2020-05-18 14:48:03 UTC
Fixed in Java:packages, submission to Factory pending
Comment 5 Thomas Schraitle 2020-05-18 15:07:46 UTC
Thanks a lot Fridrich! :)
Comment 6 OBSbugzilla Bot 2020-05-18 15:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1145693) was mentioned in
https://build.opensuse.org/request/show/806994 Factory / xmlgraphics-fop
Comment 11 Thomas Schraitle 2022-08-16 08:29:11 UTC
As the submission is out, I think we can close this bug.